ReadOnlyDriverManagerDataSource (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.datasource
[Java] Class ReadOnlyDriverManagerDataSource

    java.lang.Object
      org.springframework.jdbc.datasource.AbstractDataSource
          org.springframework.jdbc.datasource.AbstractDriverBasedDataSource
              org.springframework.jdbc.datasource.DriverManagerDataSource
                  org.codehaus.groovy.grails.plugins.datasource.ReadOnlyDriverManagerDataSource

    public class ReadOnlyDriverManagerDataSource
    extends org.springframework.jdbc.datasource.DriverManagerDataSource

Used for secondary datasources that are read-only and not pooled.

Authors:
  Burt Beckwith

Method Summary
`protected java.sql.Connection` | `getConnectionFromDriverManager(java.lang.String url, java.util.Properties props)`

Methods inherited from class org.springframework.jdbc.datasource.DriverManagerDataSource
org.springframework.jdbc.datasource.DriverManagerDataSource#setDriverClassName(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#getUsername(), org.springframework.jdbc.datasource.DriverManagerDataSource#getPassword(), org.springframework.jdbc.datasource.DriverManagerDataSource#getUrl(), org.springframework.jdbc.datasource.DriverManagerDataSource#getConnection(), org.springframework.jdbc.datasource.DriverManagerDataSource#getConnection(java.lang.String, java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setUrl(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setUsername(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setPassword(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#getConnectionProperties(), org.springframework.jdbc.datasource.DriverManagerDataSource#setConnectionProperties(java.util.Properties), org.springframework.jdbc.datasource.DriverManagerDataSource#isWrapperFor(java.lang.Class), org.springframework.jdbc.datasource.DriverManagerDataSource#unwrap(java.lang.Class), org.springframework.jdbc.datasource.DriverManagerDataSource#getLogWriter(), org.springframework.jdbc.datasource.DriverManagerDataSource#getLoginTimeout(), org.springframework.jdbc.datasource.DriverManagerDataSource#getParentLogger(), org.springframework.jdbc.datasource.DriverManagerDataSource#setLogWriter(java.io.PrintWriter), org.springframework.jdbc.datasource.DriverManagerDataSource#setLoginTimeout(int), org.springframework.jdbc.datasource.DriverManagerDataSource#wait(long, int), org.springframework.jdbc.datasource.DriverManagerDataSource#wait(long), org.springframework.jdbc.datasource.DriverManagerDataSource#wait(), org.springframework.jdbc.datasource.DriverManagerDataSource#equals(java.lang.Object), org.springframework.jdbc.datasource.DriverManagerDataSource#toString(), org.springframework.jdbc.datasource.DriverManagerDataSource#hashCode(), org.springframework.jdbc.datasource.DriverManagerDataSource#getClass(), org.springframework.jdbc.datasource.DriverManagerDataSource#notify(), org.springframework.jdbc.datasource.DriverManagerDataSource#notifyAll()

Methods inherited from class org.springframework.jdbc.datasource.AbstractDriverBasedDataSource
org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getUsername(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getPassword(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getUrl(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getConnection(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getConnection(java.lang.String, java.lang.String), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#setUrl(java.lang.String), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#setUsername(java.lang.String), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#setPassword(java.lang.String), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getConnectionProperties(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#setConnectionProperties(java.util.Properties), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#isWrapperFor(java.lang.Class), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#unwrap(java.lang.Class), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getLogWriter(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getLoginTimeout(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getParentLogger(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#setLogWriter(java.io.PrintWriter), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#setLoginTimeout(int), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#wait(long, int), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#wait(long), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#wait(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#equals(java.lang.Object), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#toString(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#hashCode(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#getClass(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#notify(), org.springframework.jdbc.datasource.AbstractDriverBasedDataSource#notifyAll()

Method Detail

### getConnectionFromDriverManager

    @java.lang.Override
    protected java.sql.Connection getConnectionFromDriverManager(java.lang.String url, java.util.Properties props)

Groovy Documentation